Subject: Re: [MMTK] [PyMOL] improving interoperability between python molecule toolkits (fwd)

From: Gustavo Mercier <[email-masked]>
Date: Thu, 12 Dec 2002 10:30:33 -0800 (PST)

Hi!
I think the comments below are right on the money.
I believe that a molecular modeling package powered by Python is a great idea, particularly for those who would like to teach computational chemistry.
For example, many popular modeling packages allow the students to perform simulations using a black box approach. This is fine for introductory courses where the focus is on the end results relevant to the chemistry of a problem. In advanced undergraduate course, an instructor may wish to breakthrough the "black box". The scripting power of Python together with a set of modules would be the best tool for such a course. The students could program simulations using objects available through the modules. Each layer of the black box can be peeled by programming with lower level objects.
Although I've been a bit away from Python (my last heavy use was with version 1.5x!), I certainly will support and even contribute to this effort. Unfortunately, the issue is one of leadership to initiate such a project. May be those who mantain MMTK,  PyQuante, PyMol, etc. may be willing to take the initiative.
The definition of a common object/data structure for the "molecule" is a first step. This is a critical step and a little bit of thought may go along way to make development not only easier but useful. It would be best not to rediscover the wheel.
As a suggestion, let's consider the chemistry implementation of XML -- CML. Whatever the details of the object "molecule", it would be beneficial to input and output to/from CML. A specification of "molecule" based on CML would make it easier to interface with other technologies. I recognize that there are problems with CML, but this should not stop the community from considering this "standard".
Gustavo
 Eugen Leitl <[email-masked]> wrote:

-- 
-- Eugen* Leitl leitl
______________________________________________________________
ICBMTO: N48 04'14.8'' E11 36'41.2'' http://eugen.leitl.org
83E5CA02: EDE4 7193 0833 A96B 07A7 1A88 AA58 0E89 83E5 CA02
http://moleculardevices.org http://nanomachines.net

---------- Forwarded message ----------
Date: Thu, 12 Dec 2002 16:58:47 +1030
From: Michael Sorich 
To: [email-masked]
Subject: [PyMOL] improving interoperability between python molecule toolkits

Hello all,

I share in Warren's vision of extending PyMol into a "complete platform
for crystallography, computational chemistry, modeling, and
informatics". However, I believe this can only come about by cooperation
and integration with other python based molecule toolkits. 

<cut stuff ...> 

It seems to be in everyone's interest to allow easy interoperation
between the toolkits. However, in my experience it is a frustrating and
difficult task, even for relatively simple tasks. 

Does anyone else feel the same frustration? And if so, does anyone have
a solution?

I believe that a common set of core modules is required. The most
important feature is the molecule. 

<cut stuff ...>

--
Gustavo A. Mercier, Jr., MD,PhD
Seattle Nuclear Medicine & U/S Associates
1229 Madison, Suite 1150
Seattle, WA 98104-1377
voice: 206-386-6300; fax: 206-386-6312
[email-masked] 

---------------------------------
Do you Yahoo!?
New DSL Internet Access from SBC & Yahoo!